#!/bin/sh

CPLIBPATH="/opt/cprocsp/lib/ia32/"
CPCONFIG="/opt/cprocsp/sbin/ia32/cpconfig"
CPRESPATH="/opt/cprocsp/share/locale/"
LIBNAME="librdresmarttoken.so"
NAME="ESMARTToken"
RESNAME="librdresmarttoken"
RESOURCE_FOLDER="./"
RELEASE_FOLDER="./"

cp $RELEASE_FOLDER$LIBNAME $CPLIBPATH

cp "$RESOURCE_FOLDER"$RESNAME.cat $CPRESPATH'default/LC_MESSAGES/'
cp "$RESOURCE_FOLDER"$RESNAME'_cp866.cat' $CPRESPATH'ru_RU.cp866/LC_MESSAGES/'
cp "$RESOURCE_FOLDER"$RESNAME'_cp1251.cat' $CPRESPATH'ru_RU.cp1251/LC_MESSAGES/'
cp "$RESOURCE_FOLDER"$RESNAME'_iso8859-5.cat' $CPRESPATH'ru_RU.iso88595/LC_MESSAGES/'
cp "$RESOURCE_FOLDER"$RESNAME'_koi8-r.cat' $CPRESPATH'ru_RU.koi8r/LC_MESSAGES/'
cp "$RESOURCE_FOLDER"$RESNAME'_utf-8.cat' $CPRESPATH'ru_RU.utf8/LC_MESSAGES/'


$CPCONFIG -ini '\config\apppath' -add string $LIBNAME $CPLIBPATH$LIBNAME
$CPCONFIG -ini "\config\KeyCarriers\\$NAME" -add string DLL $LIBNAME
$CPCONFIG -hardware media -add $NAME -name $NAME
$CPCONFIG -hardware media -configure $NAME -add hex atr 3bbe1800004206110000000000000000009000
$CPCONFIG -hardware media -configure $NAME -add hex mask ffffffffffffffffffffffffffffffffffffff
$CPCONFIG -hardware media -configure $NAME -add string folders 'F100\F200\F300\F400\F500\F600\F700\F800\F900'
$CPCONFIG -hardware media -configure $NAME -add string Name 'ESMART Token 32K'

$CPCONFIG -hardware media -configure "$NAME" -connect $NAME'64' -add hex atr 3bbe9600004206210000000000000000009000
$CPCONFIG -hardware media -configure "$NAME" -connect $NAME'64' -add hex mask ffffffffffffffffffffffffffffffffffffff
$CPCONFIG -hardware media -configure "$NAME" -connect $NAME'64' -add string folders 'F100\F200\F300\F400\F500\F600\F700\F800\F900'
$CPCONFIG -hardware media -configure "$NAME" -connect $NAME'64' -add string Name 'ESMART Token 64K'

NAME="ESMARTToken192K"
NAME_DUAL="ESMARTTokenDual192K"
$CPCONFIG -ini "\config\KeyCarriers\\$NAME" -add string DLL $LIBNAME
$CPCONFIG -hardware media -add $NAME -name $NAME
$CPCONFIG -hardware media -configure $NAME -add hex atr 3b9e960045534D4152543131000000000000
$CPCONFIG -hardware media -configure $NAME -add hex mask ffffffffffffffffffffffffffffffffffff
$CPCONFIG -hardware media -configure $NAME -add string folders 'F100\F200\F300\F400\F500\F600\F700\F800\F900'
$CPCONFIG -hardware media -configure $NAME -add string Name 'ESMART Token 192K'

$CPCONFIG -hardware media -configure "$NAME" -connect $NAME_DUAL -add hex atr 3b8e80010045534d4152543131000000000013
$CPCONFIG -hardware media -configure "$NAME" -connect $NAME_DUAL -add hex mask ffffffffffffffffffffffffffffffffffffff
$CPCONFIG -hardware media -configure "$NAME" -connect $NAME_DUAL -add string folders 'F100\F200\F300\F400\F500\F600\F700\F800\F900'
$CPCONFIG -hardware media -configure "$NAME" -connect $NAME_DUAL -add string Name 'ESMART Token SC DUAL 192K'

